Bug 920859

Summary: Review Request: gnome-klotski - GNOME Klotski game
Product: [Fedora] Fedora Reporter: Tanner Doshier <doshitan>
Component: Package ReviewAssignee: Kalev Lember <kalevlember>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: kalevlember, notting, package-review
Target Milestone: ---Flags: kalevlember: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-30 13:09:48 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Tanner Doshier 2013-03-12 18:08:12 EDT
Spec URL: http://doshitan.com/tmp/gnome-klotski/gnome-klotski.spec
SRPM URL: http://doshitan.com/tmp/gnome-klotski/gnome-klotski-3.7.91-1.fc19.src.rpm
Description: This is the GNOME Klotski game

rpmlint:
gnome-klotski.x86_64: E: incorrect-fsf-address /usr/share/doc/gnome-klotski-3.7.91/COPYING
3 packages and 0 specfiles checked; 1 errors, 0 warnings.
Comment 1 Kalev Lember 2013-03-23 11:27:22 EDT
Taking for review.
Comment 2 Kalev Lember 2013-03-23 14:06:44 EDT
Tanner, are you a Fedora packager or do you need sponsoring first?
Comment 3 Kalev Lember 2013-03-23 14:24:26 EDT
Fedora review gnome-klotski-3.7.91-1.fc19.src.rpm 2013-03-23

+ OK
! needs attention

rpmlint output:
$ rpmlint gnome-klotski \
          gnome-klotski-debuginfo-3.7.91-1.fc19.x86_64.rpm \
          gnome-klotski-3.7.91-1.fc19.src.rpm
gnome-klotski.x86_64: E: incorrect-fsf-address /usr/share/doc/gnome-klotski-3.7.91/COPYING
3 packages and 0 specfiles checked; 1 errors, 0 warnings.

+ Rpmlint error is harmless and can be ignored
+ The package is named according to Fedora packaging guidelines
+ The spec file name matches the base package name.
+ The package meets the Packaging Guidelines
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The license field in the spec file matches the actual license
+ The package contains the license file (COPYING)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm. md5sum:
  01382e8edc6481206a006b2205ff104c  gnome-klotski-3.7.91.tar.xz
  01382e8edc6481206a006b2205ff104c  Download/gnome-klotski-3.7.91.tar.xz
+ The package builds in koji
n/a ExcludeArch bugs filed
+ BuildRequires look sane
+ The spec file handles locales properly
n/a ldconfig in %post and %postun
+ Package does not bundle copies of system libraries
n/a Package isn't relocatable
+ Package owns all the directories it creates
+ No duplicate files in %files
+ Permissions are properly set
+ Consistent use of macros
+ The package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
n/a Static libraries should be in -static
n/a Library files that end in .so must go in a -devel package
n/a -devel must require the fully versioned base
+ Packages should not contain libtool .la files
+ Proper .desktop file handling
+ Doesn't own files or directories already owned by other packages
+ Filenames are valid UTF-8


Looks good overall! I have a few minor nitpicks below, but none of them are a review blocker.

1.
> Provides:  gnome-games-gnotski = 1:3.7.90
The provide isn't really necessary here, I believe. Nothing in the repo Requires gnome-games-gnotski.

2. Might be nice to sort BRs and the %files list.

3.
> %find_lang %{name} --all-name --with-gnome
The --all-name switch shouldn't be necessary here: all the docs / translations installed are under the 'gnome-klotski' name.

4.
> %{_mandir}/man6/gnome-klotski.6.gz
The man page compression is done by rpm and might change in the future, would
be safer to use a glob here:
%{_mandir}/man6/gnome-klotski.6*

I'd normally mark the package as fedora-review+ at this point, but it looks like you need sponsoring to the packager group first, right?
Comment 4 Tanner Doshier 2013-04-02 18:34:20 EDT
Incorporates the suggestions mentioned above.

3.8.0-1
- Update to 3.8.0

3.7.92-1
- Update to 3.7.92
- Use old desktop file name

Spec URL: http://doshitan.com/tmp/gnome-klotski/gnome-klotski.spec
SRPM URL: http://doshitan.com/tmp/gnome-klotski/gnome-klotski-3.8.0-1.fc19.src.rpm
Comment 5 Kalev Lember 2013-04-13 20:36:07 EDT
Looks very nice! APPROVED

I've also sponsored you to the packager group, so feel free to go ahead
and request the git repo next. It can take up to an hour for the permissions to
sync, after that you should be able to set the fedora-cvs flag in bugzilla.

Let me know on IRC / e-mail if you have any issues or want to discuss
something.
Comment 6 Tanner Doshier 2013-04-14 16:58:11 EDT
Using upstream's description blurb.

New Package SCM Request
=======================
Package Name: gnome-klotski
Short Description: Slide blocks to solve the puzzle
Owners: doshitan
Branches: f19
InitialCC:
Comment 7 Jon Ciesla 2013-04-15 09:55:03 EDT
Git done (by process-git-requests).
Comment 8 Tanner Doshier 2013-04-30 13:09:48 EDT
Forgot to close the bug. Imported and built in rawhide and f19.